## org.eclipse.datatools.enablement.sybase.ui
Class SybaseDatabaseProfileSettingManager

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ui.SybaseDatabaseProfileSettingManager

    public class SybaseDatabaseProfileSettingManager

extends java.lang.Object

Field Summary
`static java.lang.String` `PREFERENCE_SHOW_OWNER`
`static java.lang.String` `PREFERENCE_SHOW_SCHEMA`

Method Summary
`static SybaseDatabaseProfileSettingManager` `getInstance()`
`boolean` `isShowOwner(java.lang.String profileId)`
`boolean` `isShowOwner(java.lang.String profileId, java.lang.String databaseName)`
`boolean` `isShowSchema(java.lang.String profileId)`
`boolean` `isShowSchema(java.lang.String profileId, java.lang.String databaseName)`
`void` `setShowOwner(java.lang.String profileId, boolean isShowOwner)`
`void` `setShowOwner(java.lang.String profileId, java.lang.String databaseName, boolean isShowOwner)`
`void` `setShowOwnerGlobal(boolean isShowOwnerGlobal)`
`void` `setShowSchema(java.lang.String profileId, boolean isShowSchema)`
`void` `setShowSchema(java.lang.String profileId, java.lang.String databaseName, boolean isShowSchema)`
`void` `setShowSchemaGlobal(boolean isShowSchemaGlobal)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFERENCE_SHOW_OWNER

    public static final java.lang.String PREFERENCE_SHOW_OWNER

See Also:
  Constant Field Values

### PREFERENCE_SHOW_SCHEMA

    public static final java.lang.String PREFERENCE_SHOW_SCHEMA

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static SybaseDatabaseProfileSettingManager getInstance()

### isShowSchema

    public boolean isShowSchema(java.lang.String profileId)

### isShowSchema

    public boolean isShowSchema(java.lang.String profileId,
                                java.lang.String databaseName)

### setShowSchema

    public void setShowSchema(java.lang.String profileId,
                              boolean isShowSchema)

### setShowSchema

    public void setShowSchema(java.lang.String profileId,
                              java.lang.String databaseName,
                              boolean isShowSchema)

### isShowOwner

    public boolean isShowOwner(java.lang.String profileId)

### isShowOwner

    public boolean isShowOwner(java.lang.String profileId,
                               java.lang.String databaseName)

### setShowOwner

    public void setShowOwner(java.lang.String profileId,
                             boolean isShowOwner)

### setShowOwner

    public void setShowOwner(java.lang.String profileId,
                             java.lang.String databaseName,
                             boolean isShowOwner)

### setShowSchemaGlobal

    public void setShowSchemaGlobal(boolean isShowSchemaGlobal)

### setShowOwnerGlobal

    public void setShowOwnerGlobal(boolean isShowOwnerGlobal)